:root {
    --card-border: 5px;
    --zoom-16: 16px;
    --card-animation: all 100ms ease;
    --card-border-radius: 8px;
    --board-border-radius: 28px;
    --button-shadow-color: #0000007f;
    --button-main-color: #00ff00;
    --button-main-shadow-color: #00ff007f;
    --button-main-background-color: #00ff001f;
    --button-gray-color: #3f3f3f;
    --card-slot-opacity: 0;
    --background-color: #0f1f0f;
}

* {
    box-sizing: border-box;
}

@font-face {
    font-family: 'Astrojets';
    src: url('../ttf/AstrojetsRegular.ttf');
    ascent-override: 80%;
    descent-override: 0%;
}

html, body {
    color: #ffffffaf;
    font-family: Astrojets, sans-serif;
    background: var(--background-color);
    transition: all 500ms ease;
    margin: unset;
}

#app {
    display: flex;
    position: fixed;
    inset: 0;
    align-items: center;
    justify-content: center;
}

hr {
    width: calc(100% - 64px);
    height: 3px;
    background-color: rgb(47, 47, 47);
    border: none;
    margin-block: unset;
    border-bottom: 1px solid rgb(0, 0, 0);
}

.rotate {
    animation: rotating 1s linear infinite;
}

@keyframes rotating {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}
